−

Get list of all Collection links

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the lists of all collection links created by the current user in the given organization.

Endpoints

get https://www.zohoapis.com/workdrive/api/v1/teams/{team_id}/collections

Copy full URL

OAuth Scope

WorkDrive.Collection.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/teams/{team_id}/collections \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'
header = Map();
header.put("Accept","application/vnd.api+json");
response = invokeurl
[
url : "https://www.zohoapis.com/workdrive/api/v1/teams/{team_id}/collections"
type : GET
headers : header
connection : "wdconnection"
];
info response;

Path Parameters

team_idstring(Required)

The unique ID that represents a team.

Response Example

R008

200
200
401
Copied!
  {
    "data": [
      {
        "data": {
          "id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
          "type": "collections",
          "attributes": {
            "modified_time_i18": "May 9, 5:42 PM",
            "modifier_name": "Anna Baker",
            "link": "https://www.zohoapis.com/workdrive/collection/vx57jc433ffa2c7524c51a5205d1849bc92fa",
            "input_fields": [],
            "expiration_date": "May 20, 2021, 11:45 AM",
            "expiration_date_in_millis": 1621491300000,
            "created_time_i18": "Aug 9, 5:42 PM",
            "request_user_data": false,
            "total_uploads": 11,
            "modified_time": "May 9, 5:42 PM",
            "modified_time_in_millis": 1620562320000,
            "total_submissions": 23,
            "upload_file_size_limit_in_bytes": 10485760,
            "created_time": "May 9, 5:42 PM",
            "notify_every_submissions": true,
            "upload_file_size_limit": "10 MB",
            "set_upload_limit": false,
            "override_name_exist": false,
            "is_external": false,
            "personal_note": "Analysis potential leads and assign them to the Sales team",
            "is_expired": false,
            "upload_limit_per_user": 0,
            "parent_id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
            "created_time_in_millis": 1620562320000,
            "creator_name": "Anna Baker",
            "space_id": "15532088",
            "collection_name": "Event Leads",
            "uploader_note": "Share all leads that you have collected in the recent Dubai Trade Fair",
            "status": -1
          },
          "relationships": {
            "submissions": {
              "links": {
                "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d/relationships/submissions",
                "related": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d/submissions"
              }
            }
          },
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d"
          }
        }
      },
      {
        "data": {
          "id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
          "type": "collections",
          "attributes": {
            "modified_time_i18": "Aug 9, 5:53 PM",
            "modifier_name": "Anna Baker",
            "link": "https://workdrive.zohoexternal.com/collection/vx57jc433ffa2c7524c51a5205d1849bc92fa/external",
            "input_fields": [
              {
                "id": 0,
                "field_name": "Name",
                "encrypt_field": false,
                "field_type": "TEXT",
                "is_name_field": true,
                "status": 1
              },
              {
                "id": 1,
                "field_name": "Phone",
                "encrypt_field": false,
                "field_type": "PHONE",
                "is_name_field": false,
                "status": 1
              },
              {
                "id": 2,
                "field_name": "Email",
                "encrypt_field": false,
                "field_type": "EMAIL_ID",
                "is_name_field": false,
                "status": 1
              }
            ],
            "expiration_date": "May 20, 2021, 11:45 AM",
            "expiration_date_in_millis": 1621491300000,
            "created_time_i18": "Aug 9, 5:53 PM",
            "request_user_data": true,
            "total_uploads": 11,
            "modified_time": "Aug 9, 5:53 PM",
            "modified_time_in_millis": 1620562320000,
            "total_submissions": 23,
            "upload_file_size_limit_in_bytes": 256000,
            "created_time": "Aug 9, 5:53 PM",
            "notify_every_submissions": true,
            "upload_file_size_limit": "250 KB",
            "set_upload_limit": true,
            "override_name_exist": false,
            "is_external": true,
            "personal_note": "Analysis potential leads and assign them to the Sales team",
            "is_expired": false,
            "upload_limit_per_user": 10,
            "parent_id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
            "created_time_in_millis": 1620562320000,
            "creator_name": "Anna Baker",
            "space_id": "15532088",
            "collection_name": "Event Leads",
            "uploader_note": "Share all leads that you have collected in the recent Dubai Trade Fair",
            "status": 1
          },
          "relationships": {
            "submissions": {
              "links": {
                "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse9afe33b5aa13841d2823067713b701177/relationships/submissions",
                "related": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse9afe33b5aa13841d2823067713b701177/submissions"
              }
            }
          },
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse9afe33b5aa13841d2823067713b701177"
          }
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
▼ Show full

© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.